/*************************************************************************************/
/*      Copyright 2017 Barcelona Supercomputing Center                               */
/*                                                                                   */
/*      This file is part of the NANOS++ library.                                    */
/*                                                                                   */
/*      NANOS++ is free software: you can redistribute it and/or modify              */
/*      it under the terms of the GNU Lesser General Public License as published by  */
/*      the Free Software Foundation, either version 3 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      NANOS++ is distributed in the hope that it will be useful,                   */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU Lesser General Public License for more details.                          */
/*                                                                                   */
/*      You should have received a copy of the GNU Lesser General Public License     */
/*      along with NANOS++.  If not, see <http://www.gnu.org/licenses/>.             */
/*************************************************************************************/

/*! \file nanos_polling.cpp
 *  \brief Polling service implementation
 */
#include "pollingservice.hpp"

#include "nanos-int.h"

#include "nanos.h"

nanos::PollingService* nanos::PollingServiceManager::_service = NULL;
spin_mutex nanos::PollingServiceManager::_mutex;

NANOS_API_DEF(void, nanos_register_polling_service, (char const *service_name, nanos_polling_service_t service_function, void *service_data) )
{
	nanos::PollingServiceManager::registerService(service_name, service_function, service_data);
}

NANOS_API_DEF(void, nanos_unregister_polling_service, (char const *service_name, nanos_polling_service_t service_function, void *service_data) )
{
	nanos::PollingServiceManager::unregisterService(service_name, service_function, service_data);
}

